#include<bits/stdc++.h>
using namespace std;
struct fl{
	double p;
	int a;
};
bool pr(fl a1, fl a2){
	return (a1.p<a2.p);
}
int main(){
	int n;
	cin>>n;
	fl f[n];
	int s=0;
	for(int i=0;i<n;i++){
		cin>>f[i].a>>f[i].p;
		s+=f[i].a;
	}
	sort(f,f+n,pr);
	double maks=0;
	for(int i=0;i<n;i++){
		maks=max(maks, s*f[i].p);
		s-=f[i].a;
	}
	maks/=100;
	cout<<fixed;
	cout<<setprecision(5);
	cout<<maks;
}